Loading...
Payments APIInstitutions

Get list of institutions

GET
/institutions

Get list of institutions. All the details can be used for creating a institution selection UI, along with required account identifiers inputs.

AuthorizationBearer <token>

In: header

Query Parameters

country*string

Filter for country code (ISO 3166 alpha-2 format) of the payer.

Length2 <= length <= 2
currency*string

Filter for currency code (ISO 4217 format) institution must support.

Length3 <= length <= 3
payments[active]?boolean

Filter whether payments functionality in institution is active or not (temporary disabled).

group[name]?string

Filter institutions by group name.

customerId?string

Filter institutions for a given customer. If query param is not provided, customer identifier is taken from the bearer token.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in

  • 1
X-Volt-Initiation-Channel*string

Channel used for payment initiation flow.

Value in

  • "api"
  • "hosted"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/institutions?country=st&currency=str" \  -H "X-Volt-Api-Version: 1" \  -H "X-Volt-Initiation-Channel: api"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "country": "DE",    "name": "Sparkasse Nienburg",    "localName": "Sparkasse Nienburg",    "alternativeName": null,    "group": {      "name": "Sparkasse",      "localName": "Sparkasse"    },    "branch": {      "name": "Nienburg",      "localName": "Nienburg"    },    "nationalId": "25650106",    "assets": {      "icon": "http://cdn.example.com/assets/bank.svg",      "logo": "http://cdn.example.com/assets/bank.svg"    },    "types": [      "BUSINESS"    ],    "supportedCurrencies": [      "EUR"    ],    "capabilities": {      "payments": {        "active": true,        "accountIdentifiersRequired": [          "IBAN"        ],        "additionalDataRequired": [],        "communication": {          "appToApp": "SUPPORTED"        }      }    }  }]